%define currentversion 5.2.1
%define modname vtigercrm 

Summary: Package that install VTigerCRM.
Name: elastix-%{modname}
Version: %{currentversion}
Release: 5
License: GPL
Group: Applications/System
Source: elastix-vtigercrm-%{version}-%{release}.tar.gz
Patch0: elastix-vtigercrm-5.2.1-utils-custom.pacth
Patch2: elastix-vtigercrm-5.2.1-PBXManager-Setting.tpl.patch
Patch1: elastix-vtigercrm-5.2.1-fix-vuln-sortfieldsjson.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: asterisk, php, mysql-server
Prereq: elastix-framework >= 2.2.0-18
Requires: elastix-firstboot >= 2.0.0-5

%description
Package that install VTigerCRM.

%prep
%setup -n elastix-vtigercrm
%patch0 
%patch1 -p1
%patch2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#The following folder should contain all the data that is required by the installer
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mkdir -p $RPM_BUILD_ROOT/var/www/html
mv vtigercrm/             $RPM_BUILD_ROOT/var/www/html/			
chmod 755 $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/updatevtiger

%pre
if [ $1 -eq 2 ]; then #UPDATE
	mkdir -p /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
	touch /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
	rpm -q --queryformat='%{VERSION}-%{RELEASE}' %{name} > /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info

	#checked that service mysql is runnig
	/sbin/service mysqld status &>/dev/null
	is_mysqld_run=$?
	if [ $is_mysqld_run -ne 0 ]; then # la base de datos esta corriendo
        	echo "The service mysqld is not running. Turn on the service and try again"
		echo "FAILED UPDATE"
		exit 1
	fi
	
	#comprobamos para ver que exista el directorio de configuracion anterior, y si  existe lo movemos	
	if [ -d "/var/www/html/vtigercrm" ]; then
		if [ -f "/var/www/html/vtigercrm/config.inc.php" ]; then
			if [ -d "/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/vtigercrm.old" ]; then
				rm -rf /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/vtigercrm.old		
			fi
			cp -r /var/www/html/vtigercrm/ /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/vtigercrm.old
			chmod 755 /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/vtigercrm.old
		else
			echo "DON'T EXIST file config.inc.php in vtigercrm in path /var/www/html/vtigercrm/"
			echo "FAILED UPDATE"
			exit 1
		fi
	else
		echo "DON'T EXIST directory vtigercrm in path /var/www/html"
		echo "FAILED UPDATE"
		exit 1
	fi
fi


%post
pathModule="/usr/share/elastix/module_installer/%{name}-%{version}-%{release}"
elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml
sourcedirectory="/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/vtigercrm.old/"

if [ $1 -eq 1 ]; then #install
  # The installer database
    elastix-dbprocess "install" "$pathModule/setup/db"
    php $pathModule/setup/change_password_vtigercrm.php #tener en cuenta cambio de nombre en la base cuando haya una nueva version
elif [ $1 -eq 2 ]; then #update
    preversion=`cat $pathModule/preversion_%{modname}.info`
    	cd /var/www/html/vtigercrm
    	touch $pathModule/logerror			
    	$pathModule/setup/updatevtiger "$preversion" "%{version}" "/var/www/html/vtigercrm" "$pathModule/setup/db/install/vtigercrm521" "1_schema.sql" "$sourcedirectory" "$pathModule" 2> $pathModule/logerror
    	rm $pathModule/logerror
fi

# Delete Smarty cache template files.
rm -rf /var/www/html/vtigercrm/Smarty/templates_c/*

%clean
rm -rf $RPM_BUILD_ROOT

%preun
pathModule="/usr/share/elastix/module_installer/%{name}-%{version}-%{release}"
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete Vtigercrm menus"
  elastix-menuremove "%{modname}"
  rm -rf /usr/share/elastix/module_installer/%{name}-%{version}-%{release}
fi


# basic contains some reasonable sane basic tiles
%files
%defattr(-, asterisk, asterisk)
/var/www/html/vtigercrm/
/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%changelog
* Thu Mar 8 2012 Rocio Mera <rmera@palosanto.com> 2.2.1-5
  CHANGED: now after install or update vtiger delete the Smarty
  cache template files	

* Thu Mar 8 2012 Rocio Mera <rmera@palosanto.com> 2.2.1-4
  FIXED: the problem that there wasn't the directory PBXManager
  inside cron/modu  les, now this appear. Bug [1182].
  
* Thu Feb 7 2012 Rocio Mera <rmera@palosanto.com> 5.2.1-3
  CHANGED: aplying a patch1 to resolve bug of vtigercrm

* Mon Jan 16 2012 Rocio Mera <rmera@palosanto.com> 5.2.1-2
  CHANGED: rpm elastix-vtigercrm-5.2.1-1 to don't show warnings in updatings 

* Fri Dec 5 2011 Rocio Mera <rmera@palosanto.com> 5.2.1-1
  Update verision Vtigercrm to 5.2.1

* Fri Nov 25 2011 Alberto Santos <asantos@palosanto.com> 5.1.0-9
- CHANGED: In spec file, changed prereq to elastix-framework >= 2.2.0-18

* Fri Nov 25 2011 Alberto Santos <asantos@palosanto.com> 5.1.0-9
- CHANGED: In spec file, changed prereq to elastix-framework >= 2.2.0-18

* Fri Jul 23 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 5.1.0-8
- REMOVED: vtigercrmWrapper.php
- CHANGED: move schema.vtiger to spool directory for elastix-firstboot

* Mon Jan 04 2010 Bruno Macias <bmacias@palosanto.com> 5.1.0-7
- Fixed bug create dabatase in vtiger.schema.

* Fri Dec 4 2009 Bruno Macias <bmacias@palosanto.com> 5.1.0-6
- Update Vtigercrm  to 5.1.0

* Mon May 25 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 5.0.3-6
- Remove obsolete dependency on elastix-additionals

* Thu Mar 20 2008 Bruno Macias <bmacias@palosanto.com> 5.0.3-5
  - Source elastix-vtigercrm add files schema.vtiger and vtigercrmWrapper.php for finish instalation.
  - Comments removed in this spec and in section post replace /vtigercrm/ by vtigercrmWrapper.php?URL=/vtigercrm
* Wed Dec 05 2007 Adonis Figueroa <afigueroa@palosanto.com> 5.0.3-4
  - Comment pre and post installation because it's realized in the wrapper.
  - No replace file config.* in /var/www/html/vtigercrm/ , this funcionality is config
* Mon Dec 04 2007 Edgar Landivar <elandivar@palosanto.com> 5.0.3-3
  - Removing elastix-mysqldbdata dependency
* Mon Dec 03 2007 Edgar Landivar <elandivar@palosanto.com> 5.0.3-1
  - Changes in the version number to reflect the vtiger version number 
    instead of the elastix version number
  - Removed elastix dependency
* Mon Nov 19 2007 Bruno Macias <bmacias@palosanto.com> 0.8-5.7
  - Fixed validation if directory /var/lib/mysql/$nombredb existe. Change of -f to -d
  - Remove Prereq elastix
* Mon Nov 5 2007 Adonis Figueroa <afigueroa@palosanto.com> 0.8-5.5
  - Changes to add the vtiger menu in the database.
* Thu Nov 1 2007 Bruno Macias <bmacias@palosanto.com> 0.8-5.4
  - Changes in release this spec for maintenaince.
* Wed Oct 17 2007 Adonis Figueroa <afigueroa@palosanto.com> 0.8-5.2
  - Database change, it include DROP if exist the database
